Open CASCADE Technology: Standard_Storable Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Standard_Storable Class Reference

This class Storable is an abstract class that allows built-in primitive types to be extended. They are not themselves persistent, but are known by the database, therefore can be used to define the internal representation of persistent objects. Otherwise, all the fields of subclasses of Object MUST inherit from Storable. More...

`#include <Standard_Storable.hxx>`

## Public Member Functions
virtual void | Delete ()
virtual | ~Standard_Storable ()
virtual Standard_Integer | HashCode (const Standard_Integer Upper) const
| Returns a hashed value denoting <me>. This value is in the range 1..<Upper>. More...
Standard_Boolean | IsEqual (const Standard_Storable &Other) const
| Returns true if the direct contents of <me> and <Other> are memberwise equal. More...
Standard_Boolean | operator== (const Standard_Storable &Other) const
Standard_Boolean | IsSimilar (const Standard_Storable &Other) const
| Returns true if the Deep contents of <me> and <Other> are memberwise equal. More...

## Detailed Description

This class Storable is an abstract class that allows built-in primitive types to be extended. They are not themselves persistent, but are known by the database, therefore can be used to define the internal representation of persistent objects. Otherwise, all the fields of subclasses of Object MUST inherit from Storable.

This class provides also a framework for copying, comparing and printing.

## Constructor & Destructor Documentation

virtual Standard_Storable::~Standard_Storable | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual void Standard_Storable::Delete | ( |  | ) |
| virtual

virtual Standard_Integer Standard_Storable::HashCode | ( | const Standard_Integer | Upper | ) | const
| virtual

Returns a hashed value denoting <me>. This value is in the range 1..<Upper>.

Standard_Boolean Standard_Storable::IsEqual | ( | const Standard_Storable & | Other | ) | const

Returns true if the direct contents of <me> and <Other> are memberwise equal.

Standard_Boolean Standard_Storable::IsSimilar | ( | const Standard_Storable & | Other | ) | const

Returns true if the Deep contents of <me> and <Other> are memberwise equal.

Standard_Boolean Standard_Storable::operator== | ( | const Standard_Storable & | Other | ) | const
| inline

The documentation for this class was generated from the following file:

- Standard_Storable.hxx